- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Static Public Member Functions | List of all members
libwpg::WPGraphics Class Reference

`#include <WPGraphics.h>`

## Static Public Member Functions
static bool | isSupported (WPXInputStream *input)
| Analyzes the content of an input stream to see if it can be parsed. More...
static bool | parse (WPXInputStream *input, WPGPaintInterface *painter, WPGFileFormat fileFormat=WPG_AUTODETECT)
static bool | parse (const unsigned char *data, unsigned long size, WPGPaintInterface *painter, WPGFileFormat fileFormat=WPG_AUTODETECT)
static bool | generateSVG (WPXInputStream *input, WPXString &output, WPGFileFormat fileFormat=WPG_AUTODETECT)
static bool | generateSVG (const unsigned char *data, unsigned long size, WPXString &output, WPGFileFormat fileFormat=WPG_AUTODETECT)

## Member Function Documentation

static bool libwpg::WPGraphics::generateSVG | ( | WPXInputStream * | input,
|  | WPXString & | output,
|  | WPGFileFormat | fileFormat = `WPG_AUTODETECT`
| ) |  |
| static

Referenced by generateSVG().

bool libwpg::WPGraphics::generateSVG | ( | const unsigned char * | data,
|  | unsigned long | size,
|  | WPXString & | output,
|  | libwpg::WPGFileFormat | fileFormat = `WPG_AUTODETECT`
| ) |  |
| static

bool libwpg::WPGraphics::isSupported | ( | WPXInputStream * | input | ) |
| static

Analyzes the content of an input stream to see if it can be parsed.

Parameters

  input | The input stream

Returns
  A value that indicates whether the content from the input stream is a WordPerfect Graphics that libwpg is able to parse

static bool libwpg::WPGraphics::parse | ( | WPXInputStream * | input,
|  | WPGPaintInterface * | painter,
|  | WPGFileFormat | fileFormat = `WPG_AUTODETECT`
| ) |  |
| static

Referenced by parse().

bool libwpg::WPGraphics::parse | ( | const unsigned char * | data,
|  | unsigned long | size,
|  | libwpg::WPGPaintInterface * | painter,
|  | libwpg::WPGFileFormat | fileFormat = `WPG_AUTODETECT`
| ) |  |
| static

The documentation for this class was generated from the following files:

- WPGraphics.h
- WPGraphics.cpp